VSTGUI: IViewFactory Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
IViewFactory Class Referenceabstract

`#include <iviewfactory.h>`

Inheritance diagram for IViewFactory:

## Public Member Functions
virtual | ~IViewFactory () noexcept=default
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description) const =0
virtual bool | applyAttributeValues (CView *view, const UIAttributes &attributes, const IUIDescription *desc) const =0
virtual bool | applyCustomViewAttributeValues (CView *customView, IdStringPtr baseViewName, const UIAttributes &attributes, const IUIDescription *desc) const =0
virtual bool | getAttributeValue (CView *view, const std::string &attributeName, std::string &stringValue, const IUIDescription *desc) const =0
virtual bool | viewIsTypeOf (CView *view, const std::string &typeName) const =0

## Static Public Member Functions
static IdStringPtr | getViewName (CView *view)

## Constructor & Destructor Documentation

## ◆ ~IViewFactory()

virtual ~IViewFactory | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ applyAttributeValues()

virtual bool applyAttributeValues | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc ) const
| pure virtual

Implemented in UIViewFactory, and ViewFactoryDelegate.

## ◆ applyCustomViewAttributeValues()

virtual bool applyCustomViewAttributeValues | ( | CView * | customView,
|  | IdStringPtr | baseViewName,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc ) const
| pure virtual

Implemented in UIViewFactory, and ViewFactoryDelegate.

## ◆ createView()

virtual CView * createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description ) const
| pure virtual

Implemented in UIViewFactory, and ViewFactoryDelegate.

## ◆ getAttributeValue()

virtual bool getAttributeValue | ( | CView * | view,
|  | const std::string & | attributeName,
|  | std::string & | stringValue,
|  | const IUIDescription * | desc ) const
| pure virtual

Implemented in UIViewFactory, and ViewFactoryDelegate.

## ◆ getViewName()

IdStringPtr getViewName | ( | CView * | view | ) |
| static

## ◆ viewIsTypeOf()

virtual bool viewIsTypeOf | ( | CView * | view,
|  | const std::string & | typeName ) const
| pure virtual

Implemented in UIViewFactory, and ViewFactoryDelegate.

The documentation for this class was generated from the following files:

- iviewfactory.h
- uiviewfactory.cpp